Results 1 to 5 of 5

Thread: Canít get metasploit working in backtrack 5

  1. #1
    Join Date
    May 2011
    Posts
    234

    Canít get metasploit working in backtrack 5

    I cannot do this with blood work, I always use the sqlite3 db_driver as updating all that shit. I do not understand what you are doing wrong. (I know that the update "sqlite3" is not compatible)

    Code:
    msf > db_create root:@localhost/metasploit 
    [-] 
    [-] Warning: The db_create command is deprecated, use db_connect instead.
    [-] The database and schema will be created automatically 
    [-] db_connect. If db_connect fails to create the database, create 
    [-] it manually with your DBMS's administration tools.
    [-] 
    Password: 
    Password: 
    createdb.bin: could not connect to database postgres: FATAL: password authentication failed for user "root"
    [-] Error while running command db_create: Failed to connect to the database: could not connect to server: Connection refused
    Is the server running on host "local host" and accepting
    TCP/IP connections on port 5432?
    Could not connect to server: Connection refused password authentication failed for user "root"
    Is the server running on host "localhost" and accepting
    TCP/IP connections on port 5432?
    Call stack:
    /opt/framework3/msf3/lib/msf/ui/console/command_dispatcher/db.rb:2120:in `db_create_postgresql'
    /opt/framework3/msf3/lib/msf/ui/console/command_dispatcher/db.rb:1689:in `cmd_db_create'
    /opt/framework3/msf3/lib/rex/ui/text/dispatcher_shell.rb:331:in `run_command'
    /opt/framework3/msf3/lib/rex/ui/text/dispatcher_shell.rb:293:in `block in run_single'
    /opt/framework3/msf3/lib/rex/ui/text/dispatcher_shell.rb:287:in `each'
    /opt/framework3/msf3/lib/rex/ui/text/dispatcher_shell.rb:287:in `run_single'
    /opt/framework3/msf3/lib/rex/ui/text/shell.rb:143:in `run'
    /opt/framework3/msf3/msfconsole:130:in `<main>
    msf >

  2. #2
    Join Date
    May 2008
    Posts
    991

    Re: Canít get metasploit working in backtrack 5

    Iím also facing the similar problem. Iím not able to get my metasploit working in backtrack 5 kde 32 bit. I believe I require t o install postgresql.

    Code:
    apt-get install postgresql
    Now setup with your password. Let me know if u get any further problem.i will be glad to solve all the queries related to metasploit working.

  3. #3
    Join Date
    May 2008
    Posts
    1,020

    Re: Canít get metasploit working in backtrack 5

    I have the similar difficulty too. I can run the same command my dear friend, but the password seems to be wrong? I have updated as described above. Unfortunately luck with the password error. Treated with blank password and toor. Now I donít what to do with metasploit. I think I have to reinstalled my backtrack 5 than I will give my last try to run metasploit. If anyone know further solution than do let me know. Any suggestion

  4. #4
    Join Date
    Nov 2009
    Posts
    825

    Re: Canít get metasploit working in backtrack 5

    Yesterday I tried to use metasploit with database, and have originated it necessary to switch to version 1.8 of Ruby. To do this:

    Code:
    # apt-get install libmysqlclient-dev
    # update-alternatives Ėconfig ruby
    # gem install mysql(change to version 1.8)

  5. #5
    Join Date
    Apr 2009
    Posts
    972

    Re: Canít get metasploit working in backtrack 5

    I think this has something to do with ruby jewel. When it is in MSF db_driver no active driver exciting.even gem set up MySQL and PostgreSQL does not appear to work .I have complete and update gem update - system to attempt to solve this problem, but is not working at all.Even reinstalling does not resolve the problems of databases. You cannot even begin to Armitage, because MySQL or PostgreSQL does not work. I am seriously thinking of emigrating to Blackbuntu, including Ubuntu where everything works like a charm so sad. I hope someone can fix this problem so you can enjoy metasploit, Armitage, or mysql databases for some script PHP / SQL.

Similar Threads

  1. How to install metasploit and postgresql in backtrack 5?
    By GaganGang in forum Operating Systems
    Replies: 8
    Last Post: 30-09-2011, 12:51 PM
  2. Replies: 5
    Last Post: 05-08-2011, 09:21 AM
  3. Replies: 5
    Last Post: 09-07-2011, 10:36 AM
  4. Replies: 5
    Last Post: 06-07-2011, 07:40 PM
  5. Metasploit pcaprub solution for Backtrack 5
    By Farzana in forum Operating Systems
    Replies: 4
    Last Post: 19-06-2011, 01:31 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •